Package Details: rawstudio 2.0.r589-3

Git Clone URL: https://aur.archlinux.org/rawstudio.git (read-only, click to copy)
Package Base: rawstudio
Description: An open source raw-image converter written in GTK+
Upstream URL: https://rawstudio.org
Licenses: GPL2
Conflicts: rawstudio-git
Submitter: Barthalion
Maintainer: caleb
Last Packager: caleb
Votes: 2
Popularity: 0.000050
First Submitted: 2018-01-07 16:40
Last Updated: 2018-09-01 13:26

Pinned Comments

caleb commented on 2019-11-15 11:17

For anybody trying to use this, upstream is broken!

Please use rawstudio-git for now which is using a fork that has current patches to make it compile. If there is ever a tagged release of that fork I will switch this package to point at it as well.

Latest Comments

caleb commented on 2019-11-15 11:17

For anybody trying to use this, upstream is broken!

Please use rawstudio-git for now which is using a fork that has current patches to make it compile. If there is ever a tagged release of that fork I will switch this package to point at it as well.

vgivanovic commented on 2018-11-04 16:19

I'm getting

rawstudio-plugin-api.cpp:20:10: fatal error: StdAfx.h: No such file or directory #include "StdAfx.h"

when Making package: rawstudio 2.0.r589-3 (2018-11-04T00:50:59 PDT).

Too bad about the lack of upstream updates.

caleb commented on 2018-08-01 11:58

Just a funny (sad) note about the state of releases. We aren't the only distro lamenting the fact that the last stable release is older than dirt and can't be packaged. In fact several distros are packaging what they are calling 2.1 even though there is no such tag upstream. They are doing what I'm doing here and calling 2.0.rX where X is the number of commits since that stable release, they are just calling it 2.1. I'm looking at you Fedora! >:o(

caleb commented on 2018-07-29 09:27

@the_10 Sorry about that, I'll fix the packaging soon.

@rdoursenaud That's not possible in this case. I realize there is a -git package (that I also maintain), but the last stable release of this program was in 2011! Don't look at the file dates on the website or release dates on Github, those were when the project hosting moved. Look at the date of the commit tagged as 2.0! That stable release does not build or run on Arch Linux any more and hasn't for years. This package has always been setup to track "snapshots" of the development branch picked at random that are known to compile and run (as opposed to the -git package that may or may not be a working version at any given moment).

I'll fix the packaging issues which broke when I tried to stop using git to download this and used the Github archive downloader. I seem to have tested something different that I committed.

rdoursenaud commented on 2018-07-28 19:35

Workaround is to edit PKGBUILD to add "-${_commit}" after "${pkgname}" in the two cd directives.

But it won't build anyway since this is the git HEAD and it's missing the submodules.

There is already a rawstudio-git package. Please build the stable release!

the_10 commented on 2018-07-28 08:19

PKGBUILD file is broken. /home/user/.cache/pacaur/rawstudio/PKGBUILD: row 21: cd: rawstudio: File or directory not found